Incidencia #44569

local_ave_elevation() clang analyzer div by zero warning

Abrir Fecha: 2022-05-12 21:13 Última actualización: 2022-05-30 01:06

Informador:
Propietario:
Tipo:
Estado:
Cerrado
Componente:
Prioridad:
5 - Medium
Gravedad:
5 - Medium
Resolución:
Fixed
Fichero:
2

Details

Clang analyzer thinks that 'n' in local_ave_elevation() could be zero when dividing by it. It can't as there's the center tile even in one tile map. Silence the warning anyway.

Ticket History (3/5 Histories)

2022-05-12 21:13 Updated by: cazfi
  • New Ticket "local_ave_elevation() clang analyzer div by zero warning" created
2022-05-15 13:39 Updated by: cazfi
  • Propietario Update from (Ninguno) to cazfi
  • Resolución Update from Ninguno to Accepted
  • Hito Update from (Ninguno) to 3.0.2 (cerrado)
2022-05-30 01:06 Updated by: cazfi
  • Estado Update from Open to Cerrado
  • Resolución Update from Accepted to Fixed

Editar

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Entrar